Loading...
Searching...
No Matches
binary< std::vector< bool > > Struct Reference

## Public Types

typedef std::vector< bool > | value_type
typedef value_type::value_type | elem_type

## Static Public Member Functions

static size_t | size_of (bool=true)
static size_t | size_of (const value_type &_v, bool _store_size=true)
static std::string | type_identifier (void)
static size_t | store (std::ostream &_ostr, const value_type &_v, bool _swap, bool _store_size=true)
static size_t | restore (std::istream &_istr, value_type &_v, bool _swap, bool _restore_size=true)

## Static Public Attributes

static const bool | is_streamable = true

The documentation for this struct was generated from the following file:

- OpenMesh/Core/IO/SR_binary_vector_of_bool.hh